package com.sd.business.mapper.order;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.order.po.OrderSkuBom;
import com.sd.business.entity.order.vo.OrderSkuBomVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 订单sku bom 关联 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-10
 */
public interface OrderSkuBomMapper extends BaseMapper<OrderSkuBom> {

    /**
     * 订单sku bom 关联分页
     */
    Page<OrderSkuBomVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<OrderSkuBom> wrapper);

}
